#include<iostream>
using namespace std;
int main(){
    int a, b, L, otg = 0;
    cin >> a >> b >> L;
    for(int k = 1; k < L; k++){
        bool exists = false;
        for(int x = 1; x <= k; x++){
            for(int y = 1; y <= k; y++){
                if(k == x * a + y * b){
                    exists = true;
                }
            }
        }
        if(!exists){
            otg++;
        }
    }
    cout << otg;
    return 0;
}
